Package org.jbpm.services.task.events

## Class WorkflowBridgeTaskLifeCycleEventListener

- java.lang.Object
- - org.jbpm.services.task.events.DefaultTaskEventListener
  - - org.jbpm.services.task.events.WorkflowBridgeTaskLifeCycleEventListener

- All Implemented Interfaces:
    `EventListener`, `org.kie.api.task.TaskLifeCycleEventListener`

      public class WorkflowBridgeTaskLifeCycleEventListener
      extends DefaultTaskEventListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.task.TaskLifeCycleEventListener

      `org.kie.api.task.TaskLifeCycleEventListener.AssignmentType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkflowBridgeTaskLifeCycleEventListener​(org.kie.api.runtime.manager.RuntimeManager runtimeManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterTaskResumedEvent​(org.kie.api.task.TaskEvent event)` |
    `void` | `afterTaskSuspendedEvent​(org.kie.api.task.TaskEvent event)` |
    `void` | `executeWork​(org.kie.api.task.model.Task task, String suspendUntilExpression, String signal)` |

    - ### Methods inherited from class org.jbpm.services.task.events.DefaultTaskEventListener

      `afterTaskActivatedEvent, afterTaskAddedEvent, afterTaskClaimedEvent, afterTaskCompletedEvent, afterTaskDelegatedEvent, afterTaskExitedEvent, afterTaskFailedEvent, afterTaskForwardedEvent, afterTaskNominatedEvent, afterTaskReleasedEvent, afterTaskSkippedEvent, afterTaskStartedEvent, afterTaskStoppedEvent, beforeTaskActivatedEvent, beforeTaskAddedEvent, beforeTaskClaimedEvent, beforeTaskCompletedEvent, beforeTaskDelegatedEvent, beforeTaskExitedEvent, beforeTaskFailedEvent, beforeTaskForwardedEvent, beforeTaskNominatedEvent, beforeTaskReleasedEvent, beforeTaskResumedEvent, beforeTaskSkippedEvent, beforeTaskStartedEvent, beforeTaskStoppedEvent, beforeTaskSuspendedEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.task.TaskLifeCycleEventListener

      `afterTaskAssignmentsAddedEvent, afterTaskAssignmentsRemovedEvent, afterTaskInputVariableChangedEvent, afterTaskNotificationEvent, afterTaskOutputVariableChangedEvent, afterTaskReassignedEvent, afterTaskUpdatedEvent, beforeTaskAssignmentsAddedEvent, beforeTaskAssignmentsRemovedEvent, beforeTaskInputVariableChangedEvent, beforeTaskNotificationEvent, beforeTaskOutputVariableChangedEvent, beforeTaskReassignedEvent, beforeTaskUpdatedEvent`

- - ### Constructor Detail

    - #### WorkflowBridgeTaskLifeCycleEventListener

          public WorkflowBridgeTaskLifeCycleEventListener​(org.kie.api.runtime.manager.RuntimeManager runtimeManager)

  - ### Method Detail

    - #### afterTaskSuspendedEvent

          public void afterTaskSuspendedEvent​(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskSuspendedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`
      Overrides:
        `afterTaskSuspendedEvent` in class `DefaultTaskEventListener`

    - #### afterTaskResumedEvent

          public void afterTaskResumedEvent​(org.kie.api.task.TaskEvent event)

      Specified by:
        `afterTaskResumedEvent` in interface `org.kie.api.task.TaskLifeCycleEventListener`
      Overrides:
        `afterTaskResumedEvent` in class `DefaultTaskEventListener`

    - #### executeWork

          public void executeWork​(org.kie.api.task.model.Task task,
                                  String suspendUntilExpression,
                                  String signal)